Feature: Advertisement Management

  Scenario: User navigates to the new advertisement form
    Given a registered and logged-in user
    When the user clicks on the "New Advertisement" button on the advertisements index page
    Then the user should see the new advertisement form
    And the form should include fields for title, pictures, description, type, price, square meters, location, rooms, floor, total floors

  Scenario: User creates an advertisement
    Given a registered and logged-in user creates an advertisement with title "Beautiful Apartment" and price "1500"
    Then the advertisement should be visible in the advertisements list
    Then the user should see a message indicating "Advertisement Created Successfully"

  Scenario: Negative Case: User creates an advertisement with missing required fields fails
    Given a registered and logged-in user creates an advertisement with missing title and price
    Then the advertisement should not be visible in the advertisements list
    And the user should see a message "Advertisement creation failed"

  Scenario: User edits an advertisement  
    Given a registered and logged-in user with an existing advertisement titled "Beautiful Apartment" priced at "1500"  
    When the user edits the advertisement to change the title to "Luxury Apartment" and the price to "2000"  
    Then the advertisement should be updated in the advertisements list with the new title "Luxury Apartment" and price "2000"  
    And the user should see a flash indicating "Advertisement Updated Successfully"  

  Scenario: Negative Case: User fails to edit an advertisement with invalid data  
    Given a registered and logged-in user with an existing advertisement title "Beautiful Apartment" priced at "1500"  
    When the user tries to edit the advertisement and leaves the title and price empty  
    Then the advertisement should retain the original title "Beautiful Apartment" and price "1500" in the advertisements list  
    And the user should see a flash "Advertisement update failed"  

