Feature: User Authentication

  Scenario: User registers with valid data
    Given a user with valid registration data
    When the user registers with valid data
    Then the user should be registered successfully

  Scenario: User registers with invalid data
    Given a user with invalid registration data
    When the user attempts to register with invalid data
    Then the user should receive an error message indicating the invalid data

  Scenario: User logs in with valid credentials
    Given a registered user
    When the user logs in with valid credentials
    Then the user should be redirected after login

  Scenario: User logs in with invalid credentials
    Given a user with invalid login credentials
    When the user attempts to log in with invalid credentials
    Then the user should receive an error message indicating invalid credentials


  Scenario: User updates their profile information
    Given a registered and logged-in user with username "testuser" and name "Test User"
    When the user navigates to their profile edit page
    And they update their username to "newtestuser"
    And they update their name to "New Test User"
    Then they should see a message "User updated successfully."
    And their username should be updated to "newtestuser" in the database
    And their name should be updated to "New Test User" in the database
  
  Scenario: User updates their profile with invalid data
    Given a registered and logged-in user
    When the user attempts to update their profile with invalid data (empty username or name)
    Then the user should see an error message indicating the invalid data
    And the database should not be updated with the invalid data.

  Scenario: User changes their password
    Given a registered and logged-in user with username "testuser" and password "password123"
    When the user navigates to the password change page
    And they enter their current password "password123"
    And they enter a new password "newpassword123"
    And they confirm the new password "newpassword123"
    Then they should see a message "Password changed successfully."
    And the user's password should be updated to "newpassword123" in the database

  Scenario: User fails to change their password due to invalid data
    Given a registered and logged-in user with username "testuser" and password "password123"
    When the user navigates to the password change page
    And they enter their current password "wrongpassword"
    And they enter a new password "newpassword123"
    And they confirm the new password "newpassword123"
    Then the user should see an error message "Current password is incorrect."
    And the user's password should not be updated in the database
