Feature: Retrieve Recommended Price for Advertisement
  As a user editing an advertisement
  I want to fetch the recommended price
  So that I can get price suggestions based on input data

  Background:
    Given there is an advertisement with ID "123"
    And I am on the edit advertisement page for that advertisement

  Scenario: Successfully retrieve recommended price
    Given I have filled in "Square Meters" with "75"
    And I have filled in "Location" with "Downtown"
    And I have filled in "Rooms" with "3"
    When I click on the "Get Recommended Price" button
    Then I should see "Recommended Price: €150000" displayed below the price field
    And the text color should be "#555"

  Scenario: Missing input fields
    Given I have left "Square Meters" empty
    And I have filled in "Location" with "Downtown"
    And I have filled in "Rooms" with "3"
    When I click on the "Get Recommended Price" button
    Then I should see "Please fill in Square Meters, Location, and Rooms." displayed below the price field
    And the text color should be "red"

  Scenario: No properties to calculate the price
    Given I have filled in "Square Meters" with "5000"
    And I have filled in "Location" with "Rural"
    And I have filled in "Rooms" with "10"
    When I click on the "Get Recommended Price" button
    Then I should see "No properties with similar characteristics to calculate the price!" displayed below the price field
    And the text color should be "red"

  Scenario: Server error during price retrieval
    Given I have filled in "Square Meters" with "75"
    And I have filled in "Location" with "Downtown"
    And I have filled in "Rooms" with "3"
    When I click on the "Get Recommended Price" button
    Then I should see "Failed to fetch recommended price." displayed below the price field
    And the text color should be "red"
