Feature: Display recommended properties on the advertisement page

  As a user,
  I want the system to display a list of 5 recommended properties on the advertisement page
  So that I can explore additional options that may meet my interests.

  Background:
    Given there are multiple properties in the system

  Scenario: Display recommended properties (positive case)
    When there are similar properties available
    And I am viewing a specific advertisement page
    Then up to 5 recommended properties are displayed
    And each recommendation shows key details: price, rooms, surface area, and location
    

  Scenario: No similar properties available (negative case)
    When there are no similar properties available
    And I am viewing a specific advertisement page
    Then a message "No similar properties found" is displayed

  Scenario: Less than 5 similar properties available
    When fewer than 5 similar properties exist
    And I am viewing a specific advertisement page
    Then only the available recommended properties are displayed
