Feature: Search Functionality

  Scenario: Successfully perform a search with selected criteria
    Given I have filled the search form with type "rent", query "apartment", location "Tallinn"
    When I submit the search form
    Then I should see search results for "apartment"
    And the location "Tallinn" should be displayed
    And the type "rent" should be displayed

  Scenario: Reset search form and clear results
    Given I have filled the search form with type "rent", query "apartment", location "Tallinn"
    When I click on the reset button
    Then the search form should be cleared
    And I should see the default state of the form

Feature: Filter Functionality

  Scenario: Successfully perform a search with room filters
    Given I have filled the search form with type "rent", query "apartment", location "Tallinn"
    And I have entered a minimum room count of 2 and a maximum room count of 4
    When I submit the search form
    Then I should see search results for "apartment"

  Scenario: Search yields no results due to room filter mismatch
    Given I have filled the search form with type "rent", query "apartment", location "Tallinn"
    And I have entered a minimum room count of 5 and a maximum room count of 6
    When I submit the search form
    Then no advertisements should be displayed

  Scenario: Display an error when max rooms is less than min rooms
    Given I have filled the search form with type "rent", query "apartment", location "Tallinn"
    And I have entered a minimum room count of 4 and a maximum room count of 2
    When I submit the search form
    Then I should see an error message "Max rooms cannot be less than min rooms."