defmodule Proptracker.Accounts.Favorite do
  use Ecto.Schema
  import Ecto.Changeset
  import Ecto.Query  # Importing the Ecto.Query module for query building
  alias Proptracker.Repo
  alias Proptracker.Accounts.Advertisement

  schema "favorites" do
    belongs_to :user, Proptracker.Accounts.User
    belongs_to :advertisement, Proptracker.Accounts.Advertisement

    timestamps()
  end

  def changeset(favorite, attrs) do
    favorite
    |> cast(attrs, [:user_id, :advertisement_id])
    |> validate_required([:user_id, :advertisement_id])
    |> unique_constraint([:user_id, :advertisement_id])
  end

end
