defmodule Proptracker.Accounts.SearchHistory do
  use Ecto.Schema
  import Ecto.Changeset

  schema "search_histories" do
    field :type, :string
    field :location, :string
    field :query, :string
    belongs_to :user, Proptracker.Accounts.User

    timestamps()
  end

  def changeset(search_history, attrs) do
    search_history
    |> cast(attrs, [:type, :location, :query, :user_id])
    |> validate_required([:user_id]) # Adjust required fields as needed
  end
end
