defmodule Proptracker.Repo.Migrations.CreateAdvertisements do
  use Ecto.Migration

  def change do
    create table(:advertisements) do
      add :title, :string
      add :pictures, {:array, :string}   # to store multiple picture URLs
      add :description, :text
      add :type, :string                 # values like "rent" or "sell"
      add :price, :decimal
      add :square_meters, :integer
      add :location, :string             # could use two separate fields for county and city if needed
      add :rooms, :integer
      add :floor, :integer
      add :total_floors, :integer
      add :reference, :string            # autogenerated unique reference
      add :state, :string, default: "available"
      add :user_id, references(:users, on_delete: :delete_all)  # foreign key for owner

      timestamps()
    end

    create index(:advertisements, [:user_id])
  end
end
