defmodule Proptracker.Repo.Migrations.CreateFavoritesTable do
  use Ecto.Migration

  def change do
    create table(:favorites) do
      add :user_id, references(:users, on_delete: :delete_all), null: false
      add :advertisement_id, references(:advertisements, on_delete: :delete_all), null: false

      timestamps()
    end

    # Ensure a user cannot favorite the same advertisement multiple times
    create unique_index(:favorites, [:user_id, :advertisement_id])
  end
end
