# defmodule ProptrackerWeb.AdvertisementCreateUpdateTest do
#   use ProptrackerWeb.ConnCase, async: true

#   alias Proptracker.Accounts.User
#   alias Proptracker.Advertisements.Advertisement
#   alias Proptracker.Repo

#   @valid_advertisement_params %{
#     "title" => "Beautiful Apartment",
#     "pictures" => ["image1.png", "image2.jpg"],
#     "description" => "A well-furnished apartment in Tallinn.",
#     "type" => "rent",
#     "price" => "1200.50",
#     "square_meters" => 85,
#     "location" => "Tallinn, Estonia",
#     "rooms" => 3,
#     "floor" => 2,
#     "total_floors" => 5
#   }

#   setup do
#     # Create a user for associating advertisements
#     user = Repo.insert!(%User{
#       username: "advert_user",
#       password: "password"
#     })

#     # Helper to log in the user
#     conn = build_conn() |> log_in_user(user)

#     {:ok, user: user, conn: conn}
#   end

#   # Helper to log in a user and set the session
#   defp log_in_user(conn, user) do
#     post(conn, ~p"/login", user: %{
#       "username" => user.username,
#       "password" => "password"
#     })
#   end

#   describe "Advertisement Creation" do
#     test "creates an advertisement with valid data", %{conn: conn, user: user} do
#       conn =
#         post(conn, ~p"/advertisements", advertisement: Map.put(@valid_advertisement_params, "user_id", user.id))

#       # Check if the response is either a redirect or the success message is displayed
#       case conn.status do
#         302 ->
#           # If it redirects, verify the redirection
#           assert redirected_to(conn) == ~p"/advertisements"
#         200 ->
#           # If it doesn't redirect, verify the success message is present
#           assert html_response(conn, 200) =~ "Advertisement created successfully"
#       end

#       # Verify the advertisement exists in the database
#       advertisement = Repo.get_by(Advertisement, title: "Beautiful Apartment")
#       assert advertisement
#       assert advertisement.price == Decimal.new("1200.50")
#     end


#     test "fails to create an advertisement with invalid data", %{conn: conn, user: user} do
#       conn =
#         post(conn, ~p"/advertisements", advertisement: Map.put(%{}, "user_id", user.id))

#       # Ensure form is re-rendered with error messages
#       assert html_response(conn, 200) =~ "Error creating advertisement"

#       # Ensure no advertisement was created
#       refute Repo.get_by(Advertisement, title: "")
#     end
#   end
# end
