defmodule ProptrackerWeb.HomeLinkTest do
  use ProptrackerWeb.ConnCase
  import Floki

  describe "GET /" do
    test "renders the expected links in the header", %{conn: conn} do
      conn = get(conn, "/")  # Get the home page ("/")

      # Parse the HTML response
      html = html_response(conn, 200)
      {:ok, parsed_html} = Floki.parse_document(html)

      # Check if the header contains the expected links
      assert Floki.find(parsed_html, "a[href='/']") != []
      assert Floki.find(parsed_html, "a[href='/team']") != []
      assert Floki.find(parsed_html, "a[href='/login']") != []
      assert Floki.find(parsed_html, "a[href='/register']") != []
    end
  end
end
